关闭

Ubuntu 下安装有道词典

标签: ubuntu有道词典
1637人阅读 评论(0) 收藏 举报
分类:

相关信息:
1. 平台: ubuntu 1604 LTS
2. 软件版本:youdao-dict_1.1.0-0-ubuntu_amd64.deb
3. 下载地址:http://cidian.youdao.com/index-linux.html

安装步骤:
1. 使用dpkg直接安装。

sudo dpkg -i youdao-dict_1.1.0-0-ubuntu_amd64.deb
2. 显然会出现错误,不然就没必要记录下来了。安装时提示依赖文件丢失。使用apt-get install -f 进行依赖文件修复。

sudo apt-get install -f
3. 修复后,再次安装youdao。依赖提示丢失依赖,但是只提示丢失:gstreamer0.10-plugins-ugly。查看apt-get install里面,发现没有这个玩意,有个类似的gstreamer0.10-plugins-base,好像也不对。需要手动下载,下载地址:https://pkgs.org/ubuntu-15.10/ubuntu-universe-amd64/gstreamer0.10-plugins-ugly_0.10.19-2.1ubuntu3_amd64.deb.html

sudo dpkg -i gstreamer0.10-plugins-ugly_0.10.19-2.1ubuntu3_amd64.deb
4. 继续问题,继续依赖。提示:未安装软件包 libx264-146。电脑本地好像有libx264-148。难道版本高也有错?搞不明白,继续单独下载。下载地址:https://launchpad.net/ubuntu/+source/x264

sudo dpkg -i libx264-146_0.146.2555+git0c21480-1_amd64.deb
5. 这下总算没问题了。安装完libx264-146之后,依次安装gstreamer0.10-plugins-ugly和youdao-dict_1.1.0-0即可。
6. 别问我,为什么这么麻烦,我也不知道,这么好的依赖,不晓得自动安装,傻!

试运行结果图:

有道词典

PS: 安装软件时,有事没事用sudo apt-get install -f修复一下依赖,万一又差什么依赖文件了也说不定,反正没坏处。

0
0

猜你在找
【直播】机器学习&数据挖掘7周实训--韦玮
【套餐】系统集成项目管理工程师顺利通关--徐朋
【直播】3小时掌握Docker最佳实战-徐西宁
【套餐】机器学习系列套餐(算法+实战)--唐宇迪
【直播】计算机视觉原理及实战--屈教授
【套餐】微信订阅号+服务号Java版 v2.0--翟东平
【直播】机器学习之矩阵--黄博士
【套餐】微信订阅号+服务号Java版 v2.0--翟东平
【直播】机器学习之凸优化--马博士
【套餐】Javascript 设计模式实战--曾亮
查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:17416次
    • 积分:414
    • 等级:
    • 排名:千里之外
    • 原创:24篇
    • 转载:2篇
    • 译文:0篇
    • 评论:10条
    文章分类
    最新评论